Subject: bug#3934: 23.0.96; Document `minibuffer-history-variable'

From: "Drew Adams" <[email-masked]>
Date: Tue, 12 Jul 2011 13:41:41 -0700

> > In Info node (elisp)Minibuffer History, please document (mention)
> > `minibuffer-history-variable'.
> 
> Reading the code and the documentation, I think this variable is for
> internal use, and shouldn't be explicitly altered (normally).
> 
> So documenting it in that node would be misleading.  Closing 
> the report.

No.  It is just like `minibuffer-completion-table',
`minibuffer-completion-predicate', and `minibuffer-completion-confirm'.

It is not used only for completion - it is even more general.  That explains why
it is not introduced along with the `minibuffer-completion-*' vars in node
`Completion Commands'.

But it is no less a variable that programmers can use in their code.  This is
the Emacs-Lisp manual.  This variable is an important variable to understand
when dealing with minibuffer input.